Download it now!
Bug 130648 - Add Icons for New uno:ProtectBookmarks and uno:ProtectFields Commands
Summary: Add Icons for New uno:ProtectBookmarks and uno:ProtectFields Commands
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Request Icon-Theme-Sifr
  Show dependency treegraph
 
Reported: 2020-02-14 02:27 UTC by Rizal Muttaqin
Modified: 2020-02-18 22:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-02-14 02:27:42 UTC
As from https://gerrit.libreoffice.org/c/core/+/88585 and https://gerrit.libreoffice.org/c/core/+/88586 we have now new uno:ProtectBookmarks and uno:ProtectFields commands. These new commands help lock fields and bookmarks on a template document. Especially bookmarks are often accidentally deleted and you might not even notice. So this toggle allows to quickly switch between locking/unlocking of them.

Please add icons to these new .uno: commands.
Comment 1 Commit Notification 2020-02-15 14:47:57 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7415a70e3387b36c6e67cab21b4310d4e5f56e1b

tdf#130648:+ icons for new .uno:ProtectBookmarks & .uno:ProtectFields

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2020-02-18 07:19:35 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2d1994dc01f162ccab68abab45ef3cce381aacbd

tdf#130648 Add icons for ProtectField and PrtectBookmarks

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-02-18 22:04:17 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/55981cd0bea950a24b89059c22bc291877205419

tdf#130648 add colibre 32px protect icons

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.